xine-lib: x11_visual_t Struct Reference

xine-lib 1.2.12

Data Fields
x11_visual_t Struct Reference

`#include <xine.h>`

## Data Fields
void * | display
int | screen
unsigned long | d
void * | user_data
void(* | dest_size_cb )(void *user_data, int video_width, int video_height, double video_pixel_aspect, int *dest_width, int *dest_height, double *dest_pixel_aspect)
void(* | frame_output_cb )(void *user_data, int video_width, int video_height, double video_pixel_aspect, int *dest_x, int *dest_y, int *dest_width, int *dest_height, double *dest_pixel_aspect, int *win_x, int *win_y)
void(* | lock_display )(void *user_data)
void(* | unlock_display )(void *user_data)

## Field Documentation

## ◆ d

unsigned long x11_visual_t::d

Referenced by _egl_get_instance(), _glx_get_instance(), open_plugin(), open_plugin_2(), open_plugin_old(), opengl_open_plugin(), xshm_open_plugin_2(), and xshm_open_plugin_old().

## ◆ dest_size_cb

void(* x11_visual_t::dest_size_cb) (void *user_data, int video_width, int video_height, double video_pixel_aspect, int *dest_width, int *dest_height, double *dest_pixel_aspect)

Referenced by open_plugin_old(), opengl2_open_plugin(), opengl_open_plugin(), xshm_open_plugin_2(), and xshm_open_plugin_old().

## ◆ display

void* x11_visual_t::display

Referenced by _egl_get_instance(), _get_instance(), _glx_get_instance(), open_plugin(), open_plugin_2(), open_plugin_old(), opengl2_open_plugin(), opengl_open_plugin(), opengl_verify_direct(), xshm_open_plugin_2(), and xshm_open_plugin_old().

## ◆ frame_output_cb

void(* x11_visual_t::frame_output_cb) (void *user_data, int video_width, int video_height, double video_pixel_aspect, int *dest_x, int *dest_y, int *dest_width, int *dest_height, double *dest_pixel_aspect, int *win_x, int *win_y)

Referenced by open_plugin(), open_plugin_2(), open_plugin_old(), opengl2_open_plugin(), opengl_open_plugin(), xshm_open_plugin_2(), and xshm_open_plugin_old().

## ◆ lock_display

void(* x11_visual_t::lock_display) (void *user_data)

Referenced by open_plugin_2(), open_plugin_old(), xshm_open_plugin_2(), and xshm_open_plugin_old().

## ◆ screen

int x11_visual_t::screen

Referenced by _glx_get_instance(), open_plugin(), open_plugin_2(), open_plugin_old(), opengl_open_plugin(), opengl_verify_direct(), xshm_open_plugin_2(), and xshm_open_plugin_old().

## ◆ unlock_display

void(* x11_visual_t::unlock_display) (void *user_data)

Referenced by open_plugin_2(), open_plugin_old(), xshm_open_plugin_2(), and xshm_open_plugin_old().

## ◆ user_data

void* x11_visual_t::user_data

Referenced by open_plugin(), open_plugin_2(), open_plugin_old(), opengl2_open_plugin(), opengl_open_plugin(), xshm_open_plugin_2(), and xshm_open_plugin_old().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/include/xine.h